#ifndef MATRIX_H
#define MATRIX_H


class Matrix
{
    public:
        Matrix();
        Matrix( const Matrix& m );
        Matrix( double _11, double _12, double _13, double _14,
                double _21, double _22, double _23, double _24,
                double _31, double _32, double _33, double _34,
                double _41, double _42, double _43, double _44 );

        // assignment operators
        Matrix& operator*=( const Matrix& m );

        // binary operators
        Matrix operator*( const Matrix& m ) const;

        union
        {
            struct
            {
                double  _11, _12, _13, _14;
                double  _21, _22, _23, _24;
                double  _31, _32, _33, _34;
                double  _41, _42, _43, _44;

            };
            double m[4][4];
        };
};


#endif // MATRIX_H
