#include "Point4D.h"
#include <math.h>

void Point4D::homDiv()
{
    //return ( fabs(w) > EPSILON) ? Point3D( x/w, y/w, z/w ) : Point3D( 0.0, 0.0, 0.0 );
    if ( fabs( w ) > EPSILON )
    {
        x /= w; y /= w; z /= w; w = 1.0;
    }
    else
    {
        x = y = z = w = 0.0;
    }
}

void Point4D::operator/=( double d )
{
    if ( fabs(d) < EPSILON) d = 1;  x /= d; y /= d; z /= z; w /= w;
}

Point4D Point4D::operator/( double s )
{
    if (fabs(s) < EPSILON) s = 1;
    Point4D point( x*s, y*s, z*s, w*s );
    return point;
}
