#ifndef INTERPOLATEVIEWERDATA_H
#define INTERPOLATEVIEWERDATA_H

#include "common/types/DoubleHashArray.h"

class DataLogEntryArray;


class InterpolateViewerData
{
    public:
        InterpolateViewerData(const DataLogEntryArray* entries);
        virtual ~InterpolateViewerData();
        void SetRefKey(wxString key);
        void SetValues(wxArrayString* valueList);
        bool AddRecord(DoubleHash* table);
        int makeInterpolate(DoubleHash *doubleHashLastLine);
        wxString makeStringLine(DoubleHash *doubleHashLine);
        void interlaceStringLines();
        wxString getLines();
        void clearDoubleHashArray();
    protected:
    private:
    DoubleHashArray m_DoubleHashArray;
    wxString m_refKey;
    wxArrayString* m_valueList;
    wxString m_lines;
    const DataLogEntryArray* m_entries;
};



#endif // INTERPOLATEVIEWERDATA_H
