#ifndef VEMSBITMAPBUTTON_H
#define VEMSBITMAPBUTTON_H

#include <wx/wx.h>
#include <wx/bmpbuttn.h>


#include "MGraphics/MGraphics.h"

class VemsBitmapButton: public wxBitmapButton
{
    public:

        VemsBitmapButton(wxWindow* parent, wxWindowID id = wxID_ANY, const wxString& label = _T("Button"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxBU_AUTODRAW);
        virtual ~VemsBitmapButton();

        //void SetStyle(long style);
        /// multi_line

    protected:

        void InitBitmap(wxSize size);
        void InitButtonBitmaps();

    private:

        wxBitmap    *m_bitmap;
        TMGraphics  *m_GCover;

};



#endif // VEMSBITMAPBUTTON_H
