#ifndef BCCARRIERPANEL_H
#define BCCARRIERPANEL_H


#include "BitmapCanvasParentBase.h"

enum bcCarrierPanelStyles
{
    BCCP_VERTICAL   = 0x01,
    BCCP_HORIZONTAL = 0x02,
    BCCP_EXPAND_X   = 0x04,
    BCCP_EXPAND_Y   = 0x08,

    BCCP_DEFAULT = BCCP_VERTICAL | BCCP_EXPAND_X | BCCP_EXPAND_Y
};

class bcCarrierPanel: public wxPanel, public BitmapCanvasParentBase
{
    public:
        bcCarrierPanel(wxWindow* parent, long propStyles = BCCP_DEFAULT, wxWindowID id = wxID_ANY, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = 0, const wxString& name = _T("panel"));
        virtual ~bcCarrierPanel();

    protected:
        void OnPaint(wxPaintEvent& evt);

        void WidgetAddCallBack(BitmapCanvasWidgetBase* widget);

    private:
        DECLARE_EVENT_TABLE();

        int m_propStyle;

};


#endif // BCCARRIERPANEL_H
