#include "bcStaticBitmap.h"

#include "../agg/wxAgg2.h"

IMPLEMENT_DYNAMIC_CLASS(bcStaticBitmap, BitmapCanvasWidgetBase);

bcStaticBitmap::bcStaticBitmap(BitmapCanvasParentBase* parent, int id, const wxImage& label, const wxPoint& pos, const wxSize& size, long style)
    :BitmapCanvasWidgetBase(parent,id,pos,size,bcDefaultZindex,style)
{
    //ctor
    if( size == wxDefaultSize ) m_properties[BCWB_SIZE] << wxRealSize(label.GetWidth(),label.GetHeight());

    m_imgLabel = label.Copy();

    DrawWidget();
}

bcStaticBitmap::~bcStaticBitmap()
{
    //dtor
}
/// TODO: rethink and implement
void bcStaticBitmap::Create(BitmapCanvasParentBase* parent, wxVariantIntHash& properties)
{

}

void bcStaticBitmap::SetLabel(const wxImage& label)
{
    m_imgLabel = label.Copy();
    Refresh();
}

void bcStaticBitmap::DrawWidget()
{
    wxAgg2 aggCanvas(this);

    aggCanvas.drawImage(&m_imgLabel, wxPoint(0,0));

    render(aggCanvas);
}

bool bcStaticBitmap::Focusable()
{
    return false;
}
