#include "CSVConverter.h"

#include "../logger.h"
#include "../mtconfigdata.h"
#include "../common/types/DoubleHash.h"


CSVConverter::~CSVConverter()
{
    //dtor
}

wxString CSVConverter::getLine(const DataLogEntryArray& dataDesc, const DoubleHash& data)
{
    wxString line;
    DoubleHash::const_iterator it;
    for(size_t i=0; i<dataDesc.GetCount(); i++){
        wxString name = dataDesc.Item(i)->m_name;
    //    Logger::log(LOG_MSG, _T("RTDataLogWriter::refresh() name: ") +name);
        it = data.find(name);
        if(it == data.end() ){
            line += _T("---");
            line += _T("\t");
			//Logger::log(LOG_MSG, _T("RTDataLogWriter::refresh() - variable: ") + name + _T(" not Found!") );
        }else{
            if(dataDesc.Item(i)->m_type == _T("int")){
                line += wxString::Format(dataDesc.Item(i)->m_format, (int)it->second) + _T("\t");
                //LOGP( dataDesc[i]->m_name + dataDesc[i]->m_type + dataDesc[i]->m_format )

            }else{
                line += wxString::Format(dataDesc.Item(i)->m_format, it->second) + _T("\t");
                //LOGP( dataDesc[i]->m_name + dataDesc[i]->m_type + dataDesc[i]->m_format )
            }
        }
    }
    return line;
}
