#include "OrderedStringHash.h"

void OrderedStringHash::add( const wxString& key, const wxString& value )
{
    if( m_hashmap.find( key ) == m_hashmap.end() ) { m_array.Add( key ); }
    m_hashmap[ key ] = value;
}

void OrderedStringHash::remove( const wxString& key )
{
    if( m_hashmap.erase( key ) ) { m_array.Remove( key ); }
}

void OrderedStringHash::clear()
{
    m_hashmap.clear();
    m_array.Clear();
}
