#ifndef VEMSCONTEXT_H
#define VEMSCONTEXT_H


#include "types/wxStringToObjectHash.h"


class VemsContext
{
    public:
        virtual ~VemsContext();
        static void setObject(wxObject* obj);
        static void setObject( const wxString& objId, wxObject* obj);
        static wxObject* initObject(const wxString& name);
        static wxObject* getObject(const wxString& name);
        static wxObject* removeObject(const wxString& name);
		static void cleanup();

    private:
        VemsContext();
        static wxStringToObjectHash m_objects;
};

#endif // VEMSCONTEXT_H
