#include "wxBitmapTypeHelper.h"

String2IntHash wxBitmapTypeHelper::m_hash;


void wxBitmapTypeHelper::Init()
{
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_INVALID)] = wxBITMAP_TYPE_INVALID;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_BMP)] = wxBITMAP_TYPE_BMP;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_BMP_RESOURCE)] = wxBITMAP_TYPE_BMP_RESOURCE;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_ICO)] = wxBITMAP_TYPE_ICO;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_ICO_RESOURCE)] = wxBITMAP_TYPE_ICO_RESOURCE;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_CUR)] = wxBITMAP_TYPE_CUR;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_CUR_RESOURCE)] = wxBITMAP_TYPE_CUR_RESOURCE;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_XBM)] = wxBITMAP_TYPE_XBM;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_XBM_DATA)] = wxBITMAP_TYPE_XBM_DATA;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_XPM)] = wxBITMAP_TYPE_XPM;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_XPM_DATA)] = wxBITMAP_TYPE_XPM_DATA;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_TIF)] = wxBITMAP_TYPE_TIF;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_TIF_RESOURCE)] = wxBITMAP_TYPE_TIF_RESOURCE;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_GIF)] = wxBITMAP_TYPE_GIF;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_GIF_RESOURCE)] = wxBITMAP_TYPE_GIF_RESOURCE;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_PNG)] = wxBITMAP_TYPE_PNG;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_PNG_RESOURCE)] = wxBITMAP_TYPE_PNG_RESOURCE;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_JPEG)] = wxBITMAP_TYPE_JPEG;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_JPEG_RESOURCE)] = wxBITMAP_TYPE_JPEG_RESOURCE;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_PNM)] = wxBITMAP_TYPE_PNM;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_PNM_RESOURCE)] = wxBITMAP_TYPE_PNM_RESOURCE;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_PCX)] = wxBITMAP_TYPE_PCX;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_PCX_RESOURCE)] = wxBITMAP_TYPE_PCX_RESOURCE;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_PICT)] = wxBITMAP_TYPE_PICT;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_PICT_RESOURCE)] = wxBITMAP_TYPE_PICT_RESOURCE;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_ICON)] = wxBITMAP_TYPE_ICON;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_ICON_RESOURCE)] = wxBITMAP_TYPE_ICON_RESOURCE;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_ANI)] = wxBITMAP_TYPE_ANI;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_IFF)] = wxBITMAP_TYPE_IFF;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_TGA)] = wxBITMAP_TYPE_TGA;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_MACCURSOR)] = wxBITMAP_TYPE_MACCURSOR;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_MACCURSOR_RESOURCE)] = wxBITMAP_TYPE_MACCURSOR_RESOURCE;
    m_hash[wxSTRINGIZE_T(wxBITMAP_TYPE_ANY)] = wxBITMAP_TYPE_ANY;

}

int wxBitmapTypeHelper::getType(const wxString& type)
{
    if( m_hash.find(type) == m_hash.end() ) return wxBITMAP_TYPE_INVALID;

    return m_hash[type];
}
