#ifndef CONFIGSAVER2_H
#define CONFIGSAVER2_H

#include "../../common/typedef.h"
#include <wx/wfstream.h>
#include <wx/progdlg.h>

class InputEvent;
class CommunicationEvent;


class ConfigSaver2 : public wxEvtHandler
{
    public:
                            ConfigSaver2();
        virtual             ~ConfigSaver2();
        void                init(  const wxString& fileName, const wxString& header );
        void                close();
        void                deleteFile();
        void                onInputEvent( InputEvent& event );

    private:
        wxFileOutputStream* m_pOutputStream;
        wxProgressDialog*   m_pProgressDialog;
        wxFile*             m_pFile;
        wxString            m_strFileName;
        wxString            m_strHeader;
        bool                m_bShowProgress;
        int                 m_iLineCount;

    private:
        void                write( uint8_t* data, uint8_t size );

};

#endif // CONFIGSAVER2_H
