#ifndef GRAPH_H
#define GRAPH_H
#include "GraphNode.h"

class Graph
{
    public:
        Graph();
        virtual ~Graph();
        void setupOrder();
        GraphNodeSetArray* getNodeDedepending(const GraphNodeSet& askingGraphNodeSet) const;
        void addNode(GraphNode* graphNodePtr);
        void removeNode(GraphNode* graphNodePtr);
        void Test();
        void clear();
        //void count()
        void printDepending(const GraphNodeSetArray& nodeSetA) const;
    protected:
    private:
        NodeArray       m_nodeArray;
        GraphNodeSet*   m_askingNodeSet;

       void InitializeNodes(); // setPorder(PORDER_UNKNOWN); for all nodes
       void getMaxGraphLevel(const GraphNodeSet&  askingGraphNodeSet, int& idx) const;

};

#endif // GRAPH_H
