#include "ECUEvent.h"

DEFINE_EVENT_TYPE( wxEVT_ECU )
IMPLEMENT_DYNAMIC_CLASS( ECUEvent, wxEvent )

ECUEvent::ECUEvent( int id ):wxEvent( id, wxEVT_ECU )
{
    state = NOT_CONNECTED;
}

wxString ECUEvent::getStateAsString()
{
     switch(state){
      case ECUEvent::NOT_CONNECTED:
        return _T("ECU not connected!");

      case ECUEvent::CONNECTED:
        return _T("ECU connected!");

      case ECUEvent::BOOT_MODE:
        return _T("ECU in boot mode!");

      case ECUEvent::AIM_MODE:
        return _T("ECU in AIM mode!");
      default:
         return _T("ECU not connected!");
    }
}

