#include "ExpressionFvAnd.h"
//#include "../logger.h"

ExpressionFvAnd::ExpressionFvAnd()
{
    setPrec( 90 );
    setAssoc( ASSOC_LEFT );
    setType( OPERATOR );
}

ExpressionFvAnd::~ExpressionFvAnd()
{
    //dtor
}

void ExpressionFvAnd::interpret( RPNStack& rpnStack )
{
    RPNStackItem* a = rpnStack.pop();
    RPNStackItem* b = rpnStack.pop();

    if( a->getType() == RPNStackItem::NUMBER && b->getType() == RPNStackItem::NUMBER )
    {
        /*
        int number1 = (int) a->getNumber();
        int number2 = (int) b->getNumber();
        int number = number1 & number2;
        */

        uint32_t number1 = (uint32_t) a->getNumber();
        uint32_t number2 = (uint32_t) b->getNumber();
        uint32_t number = number1 & number2;

        RPNStackItem* item = new RPNStackItem();
        item->setNumber( (double) number );
        rpnStack.push( item );
        //Logger::logf( LOG_MSG, _T("ExpressionFvAnd::interpret() %u & %u = %u"), number1, number2, number );
    }
    else
    {
        // throw
    }
    delete a;
    delete b;
}


