#ifndef EXPRESSIONFVGETGPSDISTANCE_H
#define EXPRESSIONFVGETGPSDISTANCE_H

#include "ExpressionBase.h"

class ExpressionFvGetGPSDistance : public ExpressionBase
{
    public:
        ExpressionFvGetGPSDistance();
        virtual ~ExpressionFvGetGPSDistance();

        void interpret( RPNStack& stack );
        wxString toString() { return _T("getGpsDistance"); }
        /*TEST*/ static double calculateDistance( double Lat1, double Long1, double Lat2, double Long2 );
    protected:
    private:
        double m_latitudeIndicator;
        double m_longnitudeIndicator;
        double m_latitude;
        double m_longnitude;

        //double calculateDistance( double Lat1, double Long1, double Lat2, double Long2 );
};

#endif // EXPRESSIONFVGETGPSDISTANCE_H
