#ifndef EXPRESSIONFVMINUS_H
#define EXPRESSIONFVMINUS_H

#include "ExpressionBase.h"

class ExpressionFvMinus :public ExpressionBase
{
    public:
        ExpressionFvMinus()
        {
            setPrec( 130 );
            setAssoc( ASSOC_LEFT );
            setType( OPERATOR );
        }
        virtual ~ExpressionFvMinus();

         void interpret(RPNStack& rpnStack)
         {
            RPNStackItem * b = rpnStack.pop();
            RPNStackItem * a = rpnStack.pop();
            if(a->getType() == RPNStackItem::NUMBER && b->getType() == RPNStackItem::NUMBER)
            {
                RPNStackItem* item = new RPNStackItem();
                item->setNumber( a->getNumber() - b->getNumber() );
                rpnStack.push( item );
            }
            delete a;
            delete b;
        }
        wxString toString() { return _T("-"); }
    protected:
    private:
};



#endif // EXPRESSIONFVMINUS_H
