#ifndef EXPRESSIONFVMUL_H
#define EXPRESSIONFVMUL_H

#include "ExpressionBase.h"

class ExpressionFvMul: public ExpressionBase
{
    public:
        ExpressionFvMul()
        {
            setPrec( 140 );
            setAssoc( ASSOC_LEFT );
            setType( OPERATOR );
        }
        virtual ~ExpressionFvMul();
        void interpret(RPNStack& rpnStack)
        {
            RPNStackItem * a = rpnStack.pop();
            RPNStackItem * b = rpnStack.pop();
            if(a->getType() == RPNStackItem::NUMBER && b->getType() == RPNStackItem::NUMBER){
                RPNStackItem* item = new RPNStackItem();
                item->setNumber( a->getNumber() * b->getNumber() );
                rpnStack.push( item );
            }else{
                // throw
            }
            delete a;
            delete b;
        }
        wxString toString() { return _T("*"); }
    protected:
    private:
};



#endif // EXPRESSIONFVMUL_H
