#ifndef EXPRESSIONFVNOT_H
#define EXPRESSIONFVNOT_H

#include "ExpressionBase.h"


class ExpressionFvNot : public ExpressionBase
{
    public:
        ExpressionFvNot()
        {
            setPrec( 150 );
            setAssoc( ASSOC_RIGHT );
            setType( OPERATOR );
        }
        virtual ~ExpressionFvNot();

        void interpret( RPNStack& rpnStack )
        {
            RPNStackItem* a = rpnStack.pop();
            if(a->getType() == RPNStackItem::NUMBER )
            {
                int number = (int) a->getNumber();

                RPNStackItem* item = new RPNStackItem();
                item->setNumber( (double) !number );
                rpnStack.push( item );
            }
            else
            {
                    // throw
            }
            delete a;
        }
        wxString toString() { return _T("!"); }
    protected:
    private:
};

#endif // EXPRESSIONFVNOT_H
