#include "ExpressionFvSum.h"

ExpressionFvSum::ExpressionFvSum()
{
    setType( FUNCTION );
    m_sum = 0.0;
}

ExpressionFvSum::~ExpressionFvSum()
{
    //dtor
}

void ExpressionFvSum::interpret( RPNStack& rpnStack )
{
    RPNStackItem * a = rpnStack.pop();

    if( a->getType() == RPNStackItem::NUMBER )
    {
        RPNStackItem* item = new RPNStackItem();

        m_sum += a->getNumber();
        item->setNumber( m_sum );
        rpnStack.push( item );
    }
    else
    {
        // throw
    }

    delete a;
}
