#include "RPNHelper.h"

#include "../SymbolMgr.h"

RPNParser RPNHelper::m_rpnParser = RPNParser();

RPNHelper::RPNHelper()
{
    //ctor
}

RPNHelper::~RPNHelper()
{
    //dtor
}

void RPNHelper::setUsedStatic(SymbolMgr& symbolMgr)
{
    const SymbolTable& expTable = symbolMgr.getExpTable();
    Symbol *symbol;
    //symbolMgr.clearUsedStatic();
    for(SymbolTable::const_iterator it = expTable.begin(); it != expTable.end(); it++) {
        //wxString symbolName = it->first;
        symbol = it->second;
        wxString expr = symbol->getExpr();
        StringHashSet variableSet = m_rpnParser.getVariables(expr );
        symbolMgr.setUsedStatic(variableSet);
    }
}
