#include "vemslogparser.h"

#include "../Utils.h"
#include "../logger.h"

VEMSLogParser::VEMSLogParser()
{
    //ctor


/*
    for(int i = 0; i < rpmBinArray.Count(); i++)
    {
            raceBin.Add(new RaceArray());
    }
    */
}

VEMSLogParser::~VEMSLogParser()
{
    //dtor
    ECULogItemArray * ecuLogItemArray = vemsDataLogDesc.getVEMSDataLog();

    /// DELETE ARRAY BECAUSE OF MEMORY LEAK!

    size_t cnt = ecuLogItemArray->GetCount();

    for ( size_t i = 0; i < cnt; ++i )
    {
        DoubleArray* arr = dynamic_cast<DoubleArray*>(ecuLogItemArray->Item(i));
        if ( arr )
            delete arr;
    }
    ecuLogItemArray->Clear();
    // LOGvolt
}

void VEMSLogParser::parseLine()
{
    ECULogItemArray * ecuLogItemArray = vemsDataLogDesc.getVEMSDataLog();
    wxArrayString * columnArray = vemsDataLogDesc.getVEMSDataLogHeader();

    if( m_lineNumber < 1) return;
    //The first line define the Column heeaders
    // parse theheader only once in bach parse
    if( m_lineNumber == 1 && columnArray->Count() == 0){
        //bool res =
        Utils::tokenizeToArray(m_line,_T("\t"), *columnArray);
	// return ?
    }

    wxArrayString rowStrArray;
    //bool res =
    Utils::tokenizeToArray(m_line,_T("\t"), rowStrArray);

	// header and values count do not match
	if(rowStrArray.Count() != columnArray->Count())
	{
        return;
    }
     DoubleArray * rowArray = new DoubleArray();
    // parse strings to double
    for(uint16_t i= 0; i < rowStrArray.Count(); i++){
        wxString  rowStr = rowStrArray.Item(i);
        double value = -1;
        rowStr.ToDouble(&value);
        rowArray->Add(value);
    }
    ecuLogItemArray->Add(rowArray);
}

VEMSDataLogDesc * VEMSLogParser::getVemsDataLogDesc()
{
        vemsDataLogDesc.setFilesArray(m_files);
        return &vemsDataLogDesc;
}
