#include "triggertestframe.h"

//(*InternalHeaders(TriggerTestFrame)
#include <wx/bitmap.h>
#include <wx/font.h>
#include <wx/fontenum.h>
#include <wx/fontmap.h>
#include <wx/image.h>
#include <wx/intl.h>
#include <wx/settings.h>
//*)

//(*IdInit(TriggerTestFrame)
//*)

#include "../logger.h"
/*
enum
{
    // menu items
    menuAbout = wxID_ABOUT
};
*/
BEGIN_EVENT_TABLE(TriggerTestFrame,wxFrame)
	//(*EventTable(TriggerTestFrame)
	//*)
//	EVT_MENU(menuAbout,            TriggerTestFrame::OnAbout)
END_EVENT_TABLE()

TriggerTestFrame::TriggerTestFrame(wxWindow* parent,wxWindowID id)
{
	//(*Initialize(TriggerTestFrame)
	Create(parent,id,wxEmptyString,wxDefaultPosition,wxDefaultSize,wxDEFAULT_FRAME_STYLE,_T("id"));
	SetIcon(wxIcon(_T("vemsLogoIcon2")));
	//*)

	 //t_panel = new TriggerTest(this);
	 t_panel = new TriggerTestPanel(this);
}

TriggerTestFrame::TriggerTestFrame(const wxChar *title, int x, int y)
       : wxFrame(NULL, wxID_ANY, title, wxPoint(x, y), wxDefaultSize /*wxSize(640, 450)*/)
{


	//(*Initialize(SoundFrame)
	//*)
/*
	wxMenuBar* mbar = new wxMenuBar();
	wxMenu* helpMenu = new wxMenu(_(""));
	helpMenu->Append(menuAbout, _("&About\tF1"), _("Show info about this application"));
	mbar->Append(helpMenu, _("&Help"));

	SetMenuBar(mbar);

	SetStatusBar(new wxStatusBar(this,-1));
*/
    Logger::log(LOG_MSG,_T("TriggerTestFrame const 2:1"));
    t_panel = new TriggerTestPanel(this);
    Logger::log(LOG_MSG,_T("TriggerTestFrame const 2:2"));
}

TriggerTestFrame::~TriggerTestFrame()
{
    //delete t_panel;
}

void TriggerTestFrame::selectBox(const wxString& name)
{
    t_panel->selectBox(name);
}

void TriggerTestFrame::addLine(const wxString& label, const wxString& defValue,  const wxArrayString& choices )
{
    t_panel->addLine(label, defValue, choices );
}

void TriggerTestFrame::OnAbout(wxCommandEvent& WXUNUSED(event))
{
    wxString msg;
    msg.Printf( _T("This is the About dialog of the sound sample.\n")
                _T("Welcome to %s"), wxVERSION_STRING);

    wxMessageBox(msg, _T("About"), wxOK | wxICON_INFORMATION, this);
}

