#ifndef FIRMWARECONFIGDIFFERENCES_H
#define FIRMWARECONFIGDIFFERENCES_H


#include <wx/wx.h>


class FirmwareConfigDifferences
{
    public:
        wxArrayString       missingScalars;
        wxArrayString       filteredScalars;
        wxArrayString       extraScalars;
        wxArrayString       differentScalars;
        wxArrayString       missingTables;
        wxArrayString       extraTables;
        wxArrayString       differentTables;

    public:
        ///report functions
        wxString            summary( const wxString& eol ) const;
        wxString            details( const wxString& tab, const wxString& eol ) const;

        bool                isEmpty() const;
        void                clear();

        /// todo - remove
        wxString            getSummary() const;
        wxString            getDetails() const;
};


#endif // FIRMWARECONFIGDIFFERENCES_H
