#ifndef SIMPLEMAPPARSER_H
#define SIMPLEMAPPARSER_H

#include <wx/wx.h>

#include "../fileparser/parserbase.h"
#include "../common/types/String2IntHash.h"

class SimpleMapParser : public ParserBase
{
    public:
        SimpleMapParser( String2IntHash* structaddresses );
        ~SimpleMapParser();

    public:
        void    parseLine();

    private:
        String2IntHash* m_structaddr;
};

#endif // SIMPLEMAPPARSER_H
