#ifndef SYMBOLTABLEFILLER_H
#define SYMBOLTABLEFILLER_H

class SymbolMgr;
class String2StructVarHash;
class StructDescriptor;

class SymbolTableFiller {
    public:
        SymbolTableFiller( SymbolMgr* symbolMgr );

    public:
        void    fillSymbolTable( String2StructVarHash parsedData, const wxString& tablename, unsigned long startAddress );

    private:
        unsigned long   m_offset;
        SymbolMgr*      m_symbolMgr;

    private:
        void    createSymbols ( StructDescriptor* structdescr, wxString parentname );

};

#endif
