#ifndef BOOTMODEDIALOG_H
#define BOOTMODEDIALOG_H


#include <wx/wx.h>


class BootModeDialog : public wxDialog
{
    public:
        enum { BMD_STAY, BMD_LEAVE };

    public:
        BootModeDialog( wxWindow* parent,
                        wxWindowID id = wxID_ANY,
                        const wxString& title = wxEmptyString,
                        const wxPoint& pos = wxDefaultPosition,
                        const wxSize& size = wxDefaultSize,
                        long style = wxDEFAULT_DIALOG_STYLE,
                        const wxString& name = _T("dialogBox") );

        virtual ~BootModeDialog();

    private:
        void OnButton( wxCommandEvent& event );

        DECLARE_EVENT_TABLE()
};

#endif // BOOTMODEDIALOG_H
