#ifndef PASSWORDPROTECTIONDIALOG_H
#define PASSWORDPROTECTIONDIALOG_H

#include <wx/wx.h>

class STDataMgrBase;
class SymbolMgr;

class PasswordProtectionDialog : public wxDialog
{
    public:
        PasswordProtectionDialog( wxWindow* parent, STDataMgrBase* staticController,  SymbolMgr* symbolManager, const wxString& serialNumber );
        virtual ~PasswordProtectionDialog();

    private:
        STDataMgrBase*  m_staticController;
        SymbolMgr*      m_symbolManager;
        wxString        m_symbolName;
        wxString        m_serialNumber;

        void buildGUI();
        void refreshGUI();

        void OnButton( wxCommandEvent& event );
        void OnEnter( wxCommandEvent& event );

        DECLARE_EVENT_TABLE()
};

#endif // PASSWORDPROTECTIONDIALOG_H
