#include "RBConsumerBase.h"

#include "RingBuffer.h"

RBConsumerBase::RBConsumerBase(RingBuffer* ringBuffer, SyncObj* syncObj)
:RBThreadBase(ringBuffer, syncObj)
{

}

RBConsumerBase::~RBConsumerBase()
{
    //dtor
}

/*
void RBConsumerBase::setCondition(int type, wxCondition* cond)
{

}
*/

void RBConsumerBase::waitRingBufferNotEmpty()
{
    while( m_ringBuffer->isEmpty()  && !m_isStoped )
    {
    //        Logger::logf(LOG_MSG, _T("RingBufferReaderThread::Entry() isEmpty() "));
        m_isNotEmpty->Wait(); // signaled by writer;
      //      Logger::logf(LOG_MSG, _T("RingBufferReaderThread::Entry() isEmpty() released"));
    }
}

void RBConsumerBase::stop()
{
    ThreadBase::stop();
    m_isNotEmpty->Broadcast();

}
