#ifndef SOUNDFRAME_H
#define SOUNDFRAME_H


//(*Headers(SoundFrame)
#include <wx/button.h>
#include <wx/combobox.h>
#include <wx/frame.h>
#include <wx/sizer.h>
#include <wx/slider.h>
#include <wx/stattext.h>
#include "Main_Pulse_train.h"
//*)

// ----------------------------------------------------------------------------
// private classes
// ----------------------------------------------------------------------------

class SparkTesterWidgetFactory;


class SoundFrame : public wxFrame
{
    public:
    // ctor(s)
        SoundFrame(wxWindow* parent, const wxChar *title, int x, int y);
        //SoundFrame(const wxString& title);
        //~SoundFrame() { delete m_sound; }
        ~SoundFrame();

        void OnGetPulseTrain(wxCommandEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnGaugeTest(wxCommandEvent& event);
    protected:
        void NotifyUsingFile(const wxString& name);

    private:
        SparkTesterWidgetFactory* m_sparkTesterWidgetFactory;
        Main_Pulse_train* m_pulse_train;
        // any class wishing to process wxWidgets events must use this macro
        DECLARE_EVENT_TABLE()
};

#endif
