#ifndef TABLEFUNCTION_H
#define TABLEFUNCTION_H

#include "functionbase.h"

#include "common/typedef.h"

WX_DECLARE_STRING_HASH_MAP(DoubleArray*, TableHash);

class TableFunction : public FunctionBase
{
    public:
        TableFunction();
        virtual ~TableFunction();

        double exec();
        FunctionBase* Create();
    protected:
    private:
        static  TableHash tables;
        bool    doRead(const wxString& fileName);
        double  get(const wxString& name, uint16_t key);
        wxArrayString  parseLine(const wxString& line);
};



#endif // TABLEFUNCTION_H
