#ifndef MAIN_H
#define MAIN_H

#include "app.h"
#include "logpanel.h"
#include "testpanel.h"
#include "evalpanel.h"

#include <wx/notebook.h>


class MyFrame: public wxFrame
{
	public:
		MyFrame(wxFrame *frame, const wxString& title);
		~MyFrame();
    private:
        V3iniParser      m_parser;
        wxNotebook* m_notebook;


        void OnOpen(wxCommandEvent& event);
		void OnQuit(wxCommandEvent& event);
		void OnAbout(wxCommandEvent& event);
		DECLARE_EVENT_TABLE();
};

#endif // MAIN_H

