#ifndef TBTBSERIALMODE_H
#define TBTBSERIALMODE_H

#include "VemsToolBarToolBase.h"
#include "../events/EcuCommEvent.h"

class ProcessBase;


class TbTbSerialMode: public VemsToolBarToolBase
{
    DECLARE_DYNAMIC_CLASS(TbTbSerialMode);

    public:
        TbTbSerialMode() {};
        TbTbSerialMode(int id);
        virtual ~TbTbSerialMode();

        void OnTool(wxCommandEvent &event);
        void OnToolR(wxCommandEvent &event) {} ;
        void OnToolEnter(wxCommandEvent &event) {} ;
        void OnECUCommState( ECUCommEvent& event );
        void Init();
        bool SendObject(int id, wxObject *object, const wxString &message = wxEmptyString);

    private:
        wxEvtHandler*   m_eventHandler;
        ProcessBase*    m_commControlerBase;
        wxMenu*         m_ConnMenu;
        bool            m_state;

};



#endif // TBTBSERIALMODE_H
