#ifndef TRIGGERLOGEVENTMANAGER_H
#define TRIGGERLOGEVENTMANAGER_H


#include "../ObserverBase.h"
#include "../Observable.h"


class VemsDeviceController;
//class TriggerLogV3Dialog;
class RawTriggerLogEvent;


class TriggerLogEventManager : public wxEvtHandler, public ObserverBase, public Observable
{
    public:
        TriggerLogEventManager( wxWindow* parent, VemsDeviceController* deviceController );
        virtual ~TriggerLogEventManager();

        // observer
        void    notify( int i );
        void    notify( int i, int j) {}
        void    notify( const wxString& str ){}
        void    Init( const wxString& name, const wxString& msg, const int max ) {}

    private:
        VemsDeviceController*   m_deviceController;
//        TriggerLogV3Dialog*     m_v3dialog;

    private:
        void onRawTriggerLogEvent( RawTriggerLogEvent& event );
};

#endif // TRIGGERLOGEVENTMANAGER_H
