#ifndef CARCONFIGHELPER_H
#define CARCONFIGHELPER_H


#include "../common/types/DoubleHash.h"


class CarParameters;


class CarConfigHelper
{
    public:
        static CarParameters* getCarParams();

    private:
        virtual ~CarConfigHelper() {}

        static double getSessionTorqueParam(const wxString& key, double defaultValue );
        static DoubleHash * getSessionTorqueDriveTrain();
        static double evaluate(const wxString& valueStr, double defaultValue);

};

#endif // CARCONFIGHELPER_H
