#ifndef MVG_SYMBOLCHOOSERPANEL_H
#define MVG_SYMBOLCHOOSERPANEL_H

#include <wx/wx.h>

#include "../../customwidgets/SymbolChooserPanel.h"
#include "../../common/types/wxVariantHash.h"

class GaugeDescManager;

class MVG_SymbolChooserPanel: public SymbolChooserPanel
{
    DECLARE_DYNAMIC_CLASS(MVG_SymbolChooserPanel);

    public:
        MVG_SymbolChooserPanel() {}
        MVG_SymbolChooserPanel(wxWindow* parent, GaugeDescManager* mgr);
        virtual ~MVG_SymbolChooserPanel();

        void SetSymbolName(const wxString& name, bool isDropEvt = true);
        void SetSymbol(wxVariantHash* desc);


};

#endif // MVG_SYMBOLCHOOSERPANEL_H
