#ifndef VEMSDYNAMICBAR_H
#define VEMSDYNAMICBAR_H

#include "VemsWidgetBase.h"

class VemsDynamicBar: public VemsWidgetBase
{
    public:
        VemsDynamicBar(wxWindow* parent, wxWindowID id, GaugeDescManager * gdmgr, GaugeProperties &prop );
        /*wxPoint CustomPosition = wxPoint(0,0),
            wxSize CustomSize = wxDefaultSize, bool DefaultPosSize = true,
            long style = 0, const VEMSGaugeDescArray * gaugeDescA = NULL, const WidgetThemeTableArray * themes = NULL,
            const wxString& currTheme = ThemesHelper::m_defaultThemeName);*/
        virtual ~VemsDynamicBar();

        wxRegion GetShape();
        wxRegion GetBorderRegion() { return wxRegion(); };
        void UpdateSize();
        void setSize(int x , int y);
        void SetValue(double value);

        void SetNewTheme(WidgetThemeTable *theme) {};

    protected:

        DECLARE_EVENT_TABLE();

    private:

        void OnPaint(wxPaintEvent& event);

};



#endif // VEMSDYNAMICBAR_H
