#ifndef VEMSEXPRESSIONGRIDWIDGETHELPER_H
#define VEMSEXPRESSIONGRIDWIDGETHELPER_H

#include <wx/wx.h>

class StringSet;
class DoubleHash;

class VemsExpressionGridWidgetHelper
{
    public:
        static size_t   getVariablesFromString( const wxString& str, StringSet& variables );
        static void     replaceRTVariables( DoubleHash& variables, const StringSet& varSet, wxString* cellStr, int precison );
        static bool     getValue( DoubleHash& variables, const wxString& name, double& var );
    private:
        virtual ~VemsExpressionGridWidgetHelper();
};

#endif // VEMSEXPRESSIONGRIDWIDGETHELPER_H
