#ifndef COMMUNICATIONCONTROLLERSTATEBASE_H
#define COMMUNICATIONCONTROLLERSTATEBASE_H

#include <wx/object.h>
#include <wx/wx.h>

class CommunicationControllerStateBase: public wxObject
{
    public:
        CommunicationControllerStateBase();
        virtual ~CommunicationControllerStateBase();
         // under testing CommunicationControllerStateBase
        //virtual void    start() = 0;
        //virtual void    stop() = 0;
        //virtual bool    isRunning() const = 0;
        virtual int     getDevice() = 0;
        virtual int     getState() = 0;
        virtual void    save() = 0;
        virtual void    restore() = 0;

    protected:
    private:
};
/*
class CommunicationLocker
{
    public:
    CommunicationLocker(CommunicationControllerStateBase* commCtr){
        m_commCtr = commCtr;
        m_commCtr->stop();
    };
    ~CommunicationLocker(){
        m_commCtr->start();
    };

    private:
        CommunicationControllerStateBase* m_commCtr;

};
*/

#endif // COMMUNICATIONCONTROLLERSTATEBASE_H
