#ifndef ECUSTATEGRAPH_H
#define ECUSTATEGRAPH_H


#include "ECUState.h"

WX_DECLARE_HASH_MAP( int, ECUStateBase*, wxIntegerHash, wxIntegerEqual, Int2ECUStateBaseHash);

class EcuStateGraph
{
    public:
        EcuStateGraph();
        virtual ~EcuStateGraph();

        void  add( ECUStateBase* ecuState );
        /*TEST*/ const ECUStateBaseArray* getRoute( int fromID, int toID );
        /*TEST*/ wxString getOrderAsString();
        Int2ECUStateBaseHash& getStateH() { return m_stateH; }
    protected:
    private:
        Int2ECUStateBaseHash    m_stateH;
        ECUStateBaseArray       m_stateOrderPathA;

        /*TEST*/ void initParents( int fromID );
        /*TEST*/ void setRoute( int fromID, int toID );
        /*TEST*/ void printParents();
};

#endif // ECUSTATEGRAPH_H
