#ifndef REGEXRECOGNIZER_H
#define REGEXRECOGNIZER_H


#include <wx/wx.h>
#include <wx/regex.h>

#include "../../common/typedef.h"

#include "IRecognizer.h"


class RegExRecognizer : public IRecognizer
{
    public:
        RegExRecognizer( const wxString& regEx );
        virtual ~RegExRecognizer();

        bool    feed( char c );
        void    reset();
        TxData* getReceivedData();

    private:
        wxRegEx     m_regEx;
        wxString    m_received;
        wxString    m_result;
};

#endif // REGEXRECOGNIZER_H
