#include "StringRecognizer.h"

StringRecognizer::StringRecognizer( const wxString& response )
{
    m_response  = response;
    m_index     = 0;
}

bool StringRecognizer::feed( char c )
{
    wxChar wxCh( c );

    if ( wxCh == m_response[m_index] )
    {
        ++m_index;
    }
    else
    {
        m_index = 0;
    }

    if ( m_index == m_response.size() )
    {
        m_index = 0;
        return true;
    }

    return false;
}

void StringRecognizer::reset()
{
    m_index     = 0;
}
