#ifndef FILEICON_H
#define FILEICON_H

#include "VemsToolIconBase.h"


class VemsTuneController;
class WindowReg;

class FileIcon: public VemsToolIconBase
{
    public:
        FileIcon(wxWindow* parent, wxWindowID id, const wxString& icondir, const wxPoint &pos = wxDefaultPosition);
        virtual ~FileIcon();
        void IconInit();

        void SetWindowReg(WindowReg *wreg);
        void SetVemsCtrl(VemsTuneController *ctrl);


    protected:

        DECLARE_EVENT_TABLE();

    private:

        void OnLeftDown(wxMouseEvent& evt);
        void OnLeftUp(wxMouseEvent& evt);


        void OnMenuMinimize(wxCommandEvent& event);
        void OnMenuClose(wxCommandEvent& event);
        void OnMenuAbout(wxCommandEvent& event);
        void OnMenuFwInfo(wxCommandEvent& event);
        void OnMenuOri(wxCommandEvent& event);
		void OnProtocolConfig( wxCommandEvent& event );

        wxBitmapLayer* m_fileUpBmp;
        wxBitmapLayer* m_fileDownBmp;

        wxMenu *m_menu;

        wxMenu *m_testmenu;

        wxWindow        *m_parent;
        WindowReg       *m_wreg;
        VemsTuneController *m_vemsTuneController;


};



#endif // FILEICON_H
