#ifndef HIDEICON_H
#define HIDEICON_H

#include "VemsToolIconBase.h"

class WindowReg;

class HideIcon: public VemsToolIconBase
{
    public:

        HideIcon(wxWindow* parent, wxWindowID id, const wxString& icondir, const wxPoint &pos = wxDefaultPosition);
        virtual ~HideIcon();

        void SetWindowReg(WindowReg *wreg);
        void IconInit();

    protected:

        DECLARE_EVENT_TABLE();

    private:

        wxBitmapLayer * m_hideUpBmp;
        wxBitmapLayer * m_hideDownBmp;


        WindowReg *m_wreg;

        void OnLeftDown(wxMouseEvent& evt);
        void OnLeftUp(wxMouseEvent& evt);

};



#endif // HIDEICON_H
