#ifndef IACLOCKPANEL_H
#define IACLOCKPANEL_H


#include <wx/panel.h>
#include <wx/wx.h>

class CommandRequestBase;
class IACControl;

class IACLockPanel : public wxPanel
{
    public:
        IACLockPanel(wxWindow* parent, CommandRequestBase* requestMgr);
        virtual ~IACLockPanel();
        void setAutoControl(IACControl* autoCtrl);
    protected:
    private:
        CommandRequestBase* m_requestMgr;

        wxTextCtrl* m_textctrl;
        wxTextCtrl* m_targetRPMctrl;
        int m_targetRPMID;

        void buildGUI(wxWindow* parent);
        void OnEnter( wxCommandEvent& event );
        void OnKillFocus( wxFocusEvent& event );
        void OnKeyDown( wxKeyEvent& event );
        void OnCloseButton( wxCommandEvent& event );

        void commandRequest(int ignition);


         DECLARE_EVENT_TABLE();

        IACControl* m_autoCtrl;
};

#endif // IACLockPanel_H
