#ifndef WXBITMAPLAYER_H
#define WXBITMAPLAYER_H

#include <wx/bitmap.h>

class wxBitmapLayer: public wxBitmap
{
    public:
        wxBitmapLayer();
        wxBitmapLayer(char Depth);
        wxBitmapLayer(const wxString &Name, char Depth );
        wxBitmapLayer(char Depth, const wxString &FileName, wxBitmapType type = wxBITMAP_TYPE_PNG);
        wxBitmapLayer(char Depth, const wxString &FileName, const wxString &name, wxBitmapType type = wxBITMAP_TYPE_PNG);
        virtual ~wxBitmapLayer();

        void SetName(const wxString &Name);
        void SetDepth(char Depth);

        wxString& GetName() { return m_name; };
        char GetDepth();

    protected:
    private:

        char m_depth;
        wxString m_name;
};

WX_DEFINE_ARRAY(wxBitmapLayer*,  BitmapLayerArray);

#endif // WXBITMAPLAYER_H
