#ifndef WXSIZEEX_H
#define WXSIZEEX_H

#include <wx/wx.h>

class wxSizeEx: public wxSize, public wxObject
{
    DECLARE_DYNAMIC_CLASS(wxSizeEx);

    public:
        wxSizeEx();
        wxSizeEx(int width, int height);
        wxSizeEx(const wxSize& s);
        wxSizeEx(const wxPoint& p);
        virtual ~wxSizeEx();

        wxSizeEx& operator = ( const wxSizeEx& s) { x = s.x; y = s.y; return *this; };

        wxSizeEx& operator = ( const wxPoint& s) { x = s.x; y = s.y; return *this; };

    protected:
    private:
};

DECLARE_VARIANT_OBJECT(wxSizeEx);

#endif // WXSIZEEX_H
