#include "AuiPaneToolBar.h"

#define TB_VERTICAL     _T("vertical")
#define TB_HORIZONTAL   _T("horizontal")

AuiPaneToolBar::AuiPaneToolBar(wxWindow *parent, const wxString &ori, const wxString &name, long style )
                :m_size (wxSize(0,0))
{
    m_auiInfo.ToolbarPane();
    //m_auiInfo.Dockable(1);
    m_auiInfo.Floatable(true);
    m_auiInfo.Name(name);
    m_auiInfo.Caption(name);

    if(ori == TB_VERTICAL){
        style |= wxTB_VERTICAL;
        m_auiInfo.Left();
        //m_auiInfo.TopDockable(false);
        //m_auiInfo.BottomDockable(false);

    }
    else if(ori == TB_HORIZONTAL){
        style |= wxTB_HORIZONTAL;
        m_auiInfo.Top();
        //m_auiInfo.LeftDockable(false);
        //m_auiInfo.RightDockable(false);
    }

    style = style
            | wxTB_FLAT
            | wxTB_NODIVIDER
            | wxTB_DOCKABLE

    ;

    m_toolBar = new wxToolBar(parent, wxID_ANY, wxDefaultPosition, wxDefaultSize, style, name);

    m_toolBar->SetToolSeparation( 6 );

    m_orientation = ori;
    m_name = name;

}

void AuiPaneToolBar::UpdateSize()
{
    m_size.Scale(1.1,1.1);

    if(m_toolBar->IsVertical()) {
        m_auiInfo.best_size.y = m_size.y;
        m_auiInfo.best_size.x = m_toolBar->GetToolSize().x;
    } else {
   //     m_auiInfo.max_size.x = m_size.x;
     //   m_auiInfo.max_size.y = m_toolBar->GetToolSize().y;
    }

    //m_auiInfo.BestSize(m_minSize);



    //Logger::logf(LOG_MSG,_T("AuiPaneToolBar::UpdateSize() m_minSize.x=%i, m_minSize.y=%i"),m_minSize.x,m_minSize.y);
}

AuiPaneToolBar::~AuiPaneToolBar()
{
}
