#include "DialogHelper.h"


String2IntHash DialogHelper::m_dialogs;


wxWindow* DialogHelper::GetDialog(const wxString& name)
{
    if( m_dialogs.find(name) == m_dialogs.end() ) return NULL;

    long winid = m_dialogs[name];

    wxWindow * win = wxWindow::FindWindowById(winid);

    if(win == NULL) m_dialogs.erase(name);

    return win;
}

void DialogHelper::SetDialog(const wxString& name, wxWindow* win)
{
    m_dialogs[name] = win->GetId();
}
