#include "DisplayHelper.h"

#if defined (__WINCE_STANDARDSDK__)
//#include <shellsdk.h>		// for WinAPI support
#include <aygshell.h>		// for WinAPI support
#endif

DisplayHelper::DisplayHelper()
{
    //ctor
}

DisplayHelper::~DisplayHelper()
{
    //dtor
}

wxSize DisplayHelper::GetDisplaySize(int num)
{
    return wxGetDisplaySize();
}

void DisplayHelper::GetDisplaySize(int* width, int* height, int num)
{
    wxSize size = GetDisplaySize(num);
    *width = size.x;
    *height = size.y;
}

void DisplayHelper::SetOrientation(int ori)
{

#if defined (__WINCE_STANDARDSDK__)

	DEVMODE DevMode;

    memset (&DevMode, 0, sizeof (DevMode));
    DevMode.dmSize   = sizeof (DevMode);
    DevMode.dmFields = DM_DISPLAYORIENTATION;
    DevMode.dmDisplayOrientation = ori;

	ChangeDisplaySettingsEx(NULL, &DevMode, NULL, CDS_RESET, NULL);

#endif

}

int DisplayHelper::GetOrientation()
{
    int ori = 0;

#if defined (__WINCE_STANDARDSDK__)

    DEVMODE DevMode;

    memset (&DevMode, 0, sizeof (DevMode));
    DevMode.dmSize   = sizeof (DevMode);
    DevMode.dmFields = DM_DISPLAYORIENTATION;
    ChangeDisplaySettingsEx(NULL, &DevMode, NULL, CDS_TEST, NULL);

    ori = DevMode.dmDisplayOrientation;

#endif

    return ori;

}
