#ifndef FIRMWAREVERSION_H
#define FIRMWAREVERSION_H

#include <wx/wx.h>

class FirmwareVersion
{
    public:
        int major;
        int minor;
        int build;

        FirmwareVersion();
        FirmwareVersion( int major, int minor, int build );
        FirmwareVersion( const wxString& verStr );

        bool operator==( const FirmwareVersion& f );
        bool operator!=( const FirmwareVersion& f );
        bool operator<( const FirmwareVersion& f );
        bool operator>( const FirmwareVersion& f );
        bool operator>=( const FirmwareVersion& f );
        bool operator<=( const FirmwareVersion& f );

        wxString toString() const { return wxString::Format( _T("%d.%d.%d"), major, minor, build ); }
        void fromString( const wxString& verStr );
};

#endif // FIRMWAREVERSION_H
