#ifndef SERIALEXCEPTION_H
#define SERIALEXCEPTION_H

#include <wx/string.h>
#include "VemsExceptionBase.h"

enum sp_error_codes{
    SP_CANNOT_INIT_ECU = -80,
    SP_CANNOT_CLEAR_BUFF=-99,
    SP_CANNOT_OPEN=-100,
    SP_WRITE_ERROR=-150,
    SP_UNKNOWN=-200
};

class SerialException : public VemsExceptionBase
{
    public:
        SerialException(int code);
        virtual ~SerialException();
        int getCode();
        wxString toString();
        wxString getErrorCodeAsString() const;
    protected:
    private:
        int m_code;
};



#endif // SERIALEXCEPTION_H
