#ifndef UPDATEFREQUENCYMETER_H
#define UPDATEFREQUENCYMETER_H


class UpdateFrequencyMeter
{
    public:
        // enum {  = -1 };

        UpdateFrequencyMeter()
        {
            m_lastUpdateTimeInSeconds   = ::wxGetLocalTime();
            m_updateCountPerSecond      = 0;
        }

        int update()
        {
            long now = ::wxGetLocalTime();

            if ( now == m_lastUpdateTimeInSeconds ) {
                ++m_updateCountPerSecond;
                return -1;
            } else {
              m_lastUpdateTimeInSeconds = now;
              int result = m_updateCountPerSecond;
              m_updateCountPerSecond = 0;
              return result;
            }
        }

    private:
        long m_lastUpdateTimeInSeconds;
        int  m_updateCountPerSecond;
};

#endif // UPDATEFREQUENCYMETER_H
