#ifndef VEMSABOUTDIALOG_H
#define VEMSABOUTDIALOG_H

#include <wx/aboutdlg.h>
#include <wx/hyperlink.h>

#include <wx/dialog.h>

class  wxSizer;
class  wxSizerFlags;

bool StringIsURL(const wxString &str);

class VemsAboutDialog: public wxDialog
{
    public:
        VemsAboutDialog(const wxAboutDialogInfo& info);
        VemsAboutDialog();
        virtual ~VemsAboutDialog();

        wxAboutDialogInfo VemsAboutData();

        bool Create(const wxAboutDialogInfo& info);

    protected:

        void AddHyperlink(const wxString& text, int index=-1);
        void AddControl(wxWindow *win, int index=-1);
        void AddControl(wxWindow *win, const wxSizerFlags& flags, int index=-1);
        void AddText(const wxString& text, int index=-1);
        void AddCollapsiblePane(const wxString& title, const wxString& text, int index=-1);

        virtual void DoAddCustomControls() { }

    private:

        wxSizer *m_sizerText;

};



#endif // VEMSABOUTDIALOG_H
