#include "VemsBitmapButton.h"

#include "logger.h"

VemsBitmapButton::VemsBitmapButton(wxWindow* parent, wxWindowID id, const wxString& label, const wxPoint& pos , const wxSize& size, long style)
    : m_bitmap (NULL)
    , m_GCover (NULL)
{
    //ctor
    wxSize buffsize;
    if(size == wxSize(-1,-1))
        buffsize = wxSize(50,50);
    else
        buffsize = size;


    InitBitmap(buffsize);


}

VemsBitmapButton::~VemsBitmapButton()
{
    //dtor
}

void VemsBitmapButton::InitButtonBitmaps()
{
  /*
    backgroundImageFrom = new wxImage();

    backgroundImageFrom->LoadFile(DirHelper::GetPath(dGRAPHICS) + _T("vgdBG.png"),wxBITMAP_TYPE_PNG);
#if defined (__WINCE_STANDARDSDK__)

    wxString filenamepath = DirHelper::GetPath(dCACHE) + wxString::Format(_T("vgdsmall%i.png"),gSize.x);

    if(!wxFileExists(filenamepath)){
        backgroundImage = new wxImage(backgroundImageFrom->ResampleBicubic(gSize.x,gSize.y));
        backgroundImage->SaveFile(filenamepath);
    }
    else
        backgroundImage = new wxImage(filenamepath,wxBITMAP_TYPE_PNG);
*/
}

void VemsBitmapButton::InitBitmap(wxSize size)
{
    //Logger::logf(LOG_MSG,_T("VemsBitmapButton::InitBitmap Start"));

    if(m_bitmap != NULL) delete m_bitmap;
    if(m_GCover != NULL) delete m_GCover;

    m_bitmap = new wxBitmap(size.x, size.y, 24);
    m_GCover = new TMGraphics();

    m_GCover->Reset(m_bitmap->GetWidth(),m_bitmap->GetHeight());

    wxMemoryDC tmpdc;

    tmpdc.SetBackground(*wxWHITE_BRUSH);
    tmpdc.Clear();

    m_GCover->GetMemoryDC(&tmpdc);

//  m_GCover->DrawLine_1( TRGB(0,255,0), 0,0,30,40);



    m_GCover->FillGradient(10,20,30,40);


    ///Save To Bitmap
    m_GCover->CopyToBitmap( &m_bitmap );

    m_bitmap->SaveFile(_T("teve.bmp"), wxBITMAP_TYPE_BMP);


}
