#ifndef VEMSTUNEINFO_H
#define VEMSTUNEINFO_H


class VemsTuneInfo
{
    public:
        VemsTuneInfo();
        virtual ~VemsTuneInfo();

        wxString    toString() const;
        wxTimeSpan  getElapsedTime() const;

        void        receiveRtPacket();
        void        receiveRtCRCError();
        void        receiveRtTimeout();

    private:
        wxDateTime  m_vemsTuneStartTime;
        size_t      m_recivedRtPackets;
        size_t      m_crcErrorCount;
        size_t      m_timeoutCount;

};

#endif // VEMSTUNEINFO_H
