#ifndef AIMFLAGSPANEL_H
#define AIMFLAGSPANEL_H

#include <wx/wx.h>
#include "../common/types/Int2IntHash.h"

enum AIMFlags {
    AF_AIM_MODE, AF_AIM_DEMO_MODE
};

class AIMFlagsPanel : public wxPanel
{
    public:
        AIMFlagsPanel(wxWindow* parent);

        void setFlags( unsigned int flag_type, unsigned int flag_value );

    private:
        Int2IntHash     m_flags;

    private:
        void    OnPaint( wxPaintEvent& event );

        DECLARE_EVENT_TABLE()
};

#endif // AIMFLAGSPANEL_H
