#include "aimprotocoll.h"
#include <iostream>

AIMProtocoll::AIMProtocoll()
{
//    m_receivcount = 0;
    m_count = 0;
    bytestate = 0;
    m_receivsum = 0;
    sum =0;
    receivbytestate = 0;
    aimdata.rpmvalue = 0;
    aimdata.wheelspeed = 0;
    aimdata.throttleangle = 0;
    aimdata.manifoldpress = 0;
    aimdata.lambdasensor = 0;
    aimdata.fuelpressure = 0;
    aimdata.batteryvoltage = 0;
    aimdata.watertemp = 0;
    aimdata.airchargetemp = 0;
    aimdata.exhausttemp = 0;
    aimdata.errorbyte= 0;
    receivbytestate = 0;
    randomcounter = 0;
    oc.rpmvalue= 0;
    oc.wheelspeed= 0;
    oc.throttleangle= 0;
    oc.manifoldpress= 0;
    oc.lambdasensor= 0;
    oc.fuelpressure= 0;
    oc.batteryvoltage= 0;
    oc.watertemp = 0;
    oc.airchargetemp = 0;
    oc.exhausttemp= 0;
    //ctor
}

AIMProtocoll::~AIMProtocoll()
{
    //dtor
}
uint8_t AIMProtocoll::sendaimprotocol(void)
{
    uint8_t byte = 0;
    uint16_t value = 0;
      if( m_count & LASTBITONE ){
          byte = 0xFF;
          bytestate++;
          if( bytestate > 1 ){
            m_count &= LASTBITNULL;
            bytestate = 0;
          }

      }else{

    if(m_count % PERIOD == 0){
            value = getrpmvalue();
            byte = curentbyte(value,RPMVALUE);
            oc.rpmvalue++;
    }else if(m_count % PERIOD == 1){
            value = getwheelspeed();
            byte = curentbyte(value,WHEELSPEED);
            oc.wheelspeed++;
    }else if(m_count % PERIOD == 2){
            value = getthrottleangle();
            byte = curentbyte(value,THROTTLEANGLE);
            oc.throttleangle++;
    }else if(m_count % PERIOD == 3){
            value = getmanifoldpress();
            byte = curentbyte(value,MAINFOLDPRESS);
            oc.manifoldpress++;
    }else if(m_count % PERIOD == 4){
            value = getlambdasensor();
            byte = curentbyte(value,LAMBDASENSOR);
            oc.lambdasensor++;
    }else if(m_count % PERIOD == 5){
        int quotient;
        quotient = m_count/PERIOD;
        if(quotient % 2 == 0){
            value = getfuelpressure();
            byte = curentbyte(value,FUELPRESSURE);
            oc.fuelpressure++;
        }else{
            value = getbatteryvoltage();
            byte = curentbyte(value,BATTERYVOLTAGE);
            oc.batteryvoltage++;
        }
    }else if(m_count % PERIOD == 6){
       int quotient;
       quotient = m_count/PERIOD;
        if(quotient % 5 == 0){
            value = getwatertemp();
            byte = curentbyte(value,WATERTEMP);
            oc.watertemp++;
        }else if(quotient % 5 == 1){
            value = airchargetemp();
            byte = curentbyte(value,AIRCHARGETEMP);
            oc.airchargetemp++;
        }else if(quotient % 5 == 2){
            value = exhausttemp();
            byte = curentbyte(value,EXHAUSTTEMP);
            oc.exhausttemp++;
        }else if(quotient % 5 == 3){
            value = getdummy();
            // m_count++;
            byte = curentbyte(value,DUMMY);
        }else if(quotient % 5 == 4){
            value = getdummy();
            // m_count++;
            byte = curentbyte(value,DUMMY);
        }
    }
    else if(m_count % PERIOD == 7){
            value = getdummy();
            byte = curentbyte(value,DUMMY);
    }else if(m_count % PERIOD == 8){
            value = getdummy();
            byte = curentbyte(value,DUMMY);
    }
  }

    return byte;
}
uint8_t AIMProtocoll::curentbyte(int16_t value, char channel)
{
    uint8_t byte = 0;
    switch(bytestate){
            case 0:
                   byte = channel;
                   sum  +=byte;
                   bytestate++;
            break;

            case 1:
                   byte = AIMCONST; //0xA3;   //208;
                   sum  += byte;
                   bytestate++;

            break;

            case 2:
                   uint8_t highbine;
                   highbine = value >> 8;
                   byte     = highbine;
                   sum     += byte;
                   bytestate++;

            break;

            case 3:
                   uint8_t lowbine;
                   lowbine = value & 0x00FF;
                   byte    = lowbine;
                   sum    += byte;
                   bytestate++;
            break;

            case 4:;
                   byte      = sum & 0x00FF;
                   sum       = 0;
                   bytestate = 0;
                   m_count  |= LASTBITONE;
                   m_count++;
            break;


    }
return byte;
}

void AIMProtocoll::printaimbinaryarray(void)
{
   int counter= 0;
   for(counter = 0; counter < IDX; counter++){
        printf("%d.bin value =%d\n",counter,aimbinary_array[counter]);
   }



}
int16_t AIMProtocoll::getrpmvalue(void)
{
 int16_t rand  = randomvalue();
return rand;
}

int16_t AIMProtocoll::getwheelspeed(void)
{
return randomvalue();
}

int16_t AIMProtocoll::getwatertemp(void)
{
return randomvalue();
}

int16_t AIMProtocoll::getfuelpressure(void)
{
return randomvalue();
}

int16_t AIMProtocoll::getbatteryvoltage(void)
{
return randomvalue();
}

int16_t AIMProtocoll::getthrottleangle(void)
{
return randomvalue();
}
int16_t AIMProtocoll::getmanifoldpress(void)
{
return randomvalue();
}

int16_t AIMProtocoll::airchargetemp(void)
{
return randomvalue();
}

int16_t AIMProtocoll::exhausttemp(void)
{
return randomvalue();
}

int16_t AIMProtocoll::getlambdasensor(void)
{
return randomvalue();
}

int16_t  AIMProtocoll::getdummy(void)
{
return 0x08FF;
}


void AIMProtocoll::feddAIMcharacter(uint8_t c)
{

    if ( c != 255){
            switch(receivbytestate){

              case CHANNEL:
                receivtypestate = c;
                receivbytestate++;
                m_receivsum +=c;
              break;

              case RECEIVAIMCONST:
                if(c != AIMCONST){
                    aimdata.errorbyte |=2;
                }
                receivbytestate++;
                m_receivsum += c;
              break;
               case HIGHBINE:
                savevalue( c,1);
                receivbytestate++;
                m_receivsum += c;
              break;
               case LOWBINE:
               savevalue( c,0);
                receivbytestate++;
                m_receivsum += c;
              break;
             case CHECKSUM:
               if(m_receivsum = c){
              //  printf("cheksum is ok");
               }
               m_receivsum = 0;
               receivbytestate = 0;
              break;


       }

    }
}
void AIMProtocoll::savevalue(uint8_t val,uint8_t bine)
{

        switch(receivtypestate){

            case RPMVALUE:
                if(bine == 1){
                    aimdata.rpmvalue = 0;
                  receivdata =  aimdata.rpmvalue  = val << 8;
                }else if(bine == 0){
                  receivdata =  aimdata.rpmvalue  += val;
                }
            break;

            case WHEELSPEED:
                if(bine == 1){
                 receivdata =  aimdata.wheelspeed= 0;
                 receivdata =  aimdata.wheelspeed = val << 8;
                }else if(bine == 0){
                receivdata =  aimdata.wheelspeed += val;
                }


            break;

            case THROTTLEANGLE:
                if(bine == 1){
                  receivdata =  aimdata.throttleangle = 0;
                  receivdata =  aimdata.throttleangle = val << 8;
                }else if(bine == 0){
                  receivdata = aimdata.throttleangle += val;
                }
            break;

            case MAINFOLDPRESS:
                if(bine == 1){
                   receivdata = aimdata.manifoldpress = 0;
                   receivdata =   aimdata.manifoldpress = val << 8;
                }else if(bine == 0){
                   receivdata = aimdata.manifoldpress += val;
                }
            break;

            case LAMBDASENSOR:
            if(bine == 1){
               receivdata = aimdata.lambdasensor= 0;
               receivdata = aimdata.lambdasensor = val << 8;
            }else if(bine == 0){
               receivdata = aimdata.lambdasensor += val;
            }
            break;

            case FUELPRESSURE:
                if(bine == 1){
                  receivdata =  aimdata.fuelpressure  = 0;
                  receivdata = aimdata.fuelpressure = val << 8;
                }else if(bine == 0){
                  receivdata =  aimdata.fuelpressure  += val;
                }
            break;

            case BATTERYVOLTAGE:
                 if(bine == 1){
                    receivdata = aimdata.batteryvoltage = 0;
                    receivdata = aimdata.batteryvoltage= val << 8;
                }else if(bine == 0){
                   receivdata = aimdata.batteryvoltage += val;
                }
            break;

            case WATERTEMP:
                if(bine == 1){
                    receivdata = aimdata.watertemp  = 0;
                    receivdata = aimdata.watertemp  = val << 8;
                }else if(bine == 0){
                   receivdata = aimdata.watertemp  += val;
                }
            break;

            case AIRCHARGETEMP:
                if(bine == 1){
                    receivdata = aimdata.airchargetemp  = 0;
                    receivdata = aimdata.airchargetemp  = val << 8;
                }else if(bine == 0){
                   receivdata = aimdata.watertemp  += val;
                }
            break;

            case EXHAUSTTEMP:
                if(bine == 1){
                    receivdata = aimdata.exhausttemp  = 0;
                    receivdata = aimdata.exhausttemp = val << 8;
                }else if(bine == 0){
                   receivdata = aimdata.exhausttemp  += val;
                }
            break;

            case DUMMY:
                receivdata = 0;
                receivbytestate++;
                // receivbytestate =-2;
                 //m_receivcount = -2;
            break;
        }
}
void AIMProtocoll::print_struct(void)
{  printf("print_struct:\n");

    printf("rpmvalue = %d\n",aimdata.rpmvalue);
    printf("wheelspeed = %d\n",aimdata.wheelspeed);
    printf("throttleangle = %d\n",aimdata.throttleangle);
    printf("manifoldpress = %d\n",aimdata.manifoldpress);
    printf("lambdasensor = %d\n",aimdata.lambdasensor);
    printf("fuelpressure = %d\n",aimdata.fuelpressure);
    printf("batteryvoltage = %d\n",aimdata.batteryvoltage);
    printf("watertemp  = %d\n", aimdata.watertemp );
    printf("airchargetemp  = %d\n", aimdata.airchargetemp );
    printf("exhausttemp  = %d\n", aimdata.exhausttemp);
    printf("*******************************************\n");
}
void AIMProtocoll::print_occurrence(void)
{  printf("print_occurrence:\n");

    printf("rpmvalue = %d\n",oc.rpmvalue/5);
    printf("wheelspeed = %d\n",oc.wheelspeed/5);
    printf("throttleangle = %d\n",oc.throttleangle/5);
    printf("manifoldpress = %d\n",oc.manifoldpress/5);
    printf("lambdasensor = %d\n",oc.lambdasensor/5);
    printf("fuelpressure = %d\n",oc.fuelpressure/5);
    printf("batteryvoltage = %d\n",oc.batteryvoltage/5);
    printf("watertemp  = %d\n", oc.watertemp/5 );
    printf("airchargetemp  = %d\n", oc.airchargetemp/5 );
    printf("exhausttemp  = %d\n", oc.exhausttemp/5);
    printf("*******************************************\n");
}
void AIMProtocoll::test(void)
{
    for(int n = 0 ; n < 7 ; n++){
        unsigned char byte ;
        byte = sendaimprotocol();
        feddAIMcharacter(byte);
    }
    printf("receivdata=%d\n",receivdata);
    printf("------------------------\n");
}

int16_t AIMProtocoll::randomvalue(void)
{
    //int16_t value;
    if(randomcounter % 5 == 0){
    randomnumber = rand() %32767 + 1;
    printf("randomnuber=%d\n",randomnumber);
    }
    randomcounter++;
    return randomnumber;
}