#include "bcWidgetControl.h"

#include "../wxSizeEx.h"

bcWidgetControl::bcWidgetControl(wxWindow* parent, int id, const wxString& type, const wxPoint& pos, const wxSize& size, long style)
{
    Create(parent, wxID_ANY);
    CreateBcParent(this);

    m_widget = NULL;

    CreateWidget(id,type,size,style);
}

bcWidgetControl::~bcWidgetControl()
{
    //dtor
}
/// TODO: rethink and implement
bool bcWidgetControl::CreateWidget(int id, const wxString& type, const wxSize& size, long style)
{
    wxObject* object = wxCreateDynamicObject(type);

    if(!object) return false;

    m_widget = dynamic_cast<BitmapCanvasWidgetBase*>(object);

    if(!m_widget) return false;

    wxVariantIntHash properties;

    properties[BCWB_ID] = id == wxID_ANY ? wxNewId() : id;

    properties[BCWB_SIZE] << wxSizeEx(size);

    m_widget->Create(this, properties);
    m_widget->SetStyle(style);

    return true;
}
