#include "FunctionMeter.h"

#include "../logger.h"

FunctionMeter::FunctionMeter(const wxString &funcname, bool isStartLog)
{
    m_funcName = funcname;
    m_start = wxDateTime::UNow();
    if(isStartLog)
        Logger::logf(LOG_MSG,_T("Start function: ")+funcname);
}

FunctionMeter::~FunctionMeter()
{
    long bw = wxDateTime::UNow().Subtract( m_start ).GetValue().ToLong();
    Logger::logf(LOG_MSG,wxString::Format(_T("Execute time: %i ms for function: ")+m_funcName,bw));
}
