#ifndef PORTSCANNEREVENT_H
#define PORTSCANNEREVENT_H


#include "../../vemsprotocol/ECUInfo.h"


class PortScannerEvent
{
    public:
        PortScannerEvent() {}
        virtual ~PortScannerEvent() {}

        wxString toString() const
        {
            wxString str = _T("Device: ") + ECUInfo::getDeviceAsString( device ) + _T("\n");
            str += _T("DeviceMode: ") + ECUInfo::getStateAsString( mode ) + _T("\n");
            str += wxString::Format( _T("Baudrate: %d"), baudrate );

            return str;
        }

        ECUInfo::Device     device;
        ECUInfo::EcuMode    mode;

//        wxString            portName;
        size_t              baudrate;


};

#endif // PORTSCANNEREVENT_H
