#ifndef AGGTOOLTIPFRAME_H
#define AGGTOOLTIPFRAME_H

#include <wx/wx.h>
#include "AggToolTip.h"

class AggToolTipFrame : public wxFrame
{
    public:
        AggToolTipFrame( wxWindow* parent, const wxPoint& pos = wxDefaultPosition,
            const wxSize& size = wxDefaultSize );
        virtual ~AggToolTipFrame();

        void SetToolTipText( const wxString& str );

    protected:

    private:
        AggToolTip*     m_toolTip;
        wxString        m_tipText;

        void    OnPaint( wxPaintEvent& event );
        void    OnFocus( wxFocusEvent& event );

        DECLARE_EVENT_TABLE()

};

#endif // AGGTOOLTIPFRAME_H
