#ifndef WXPANELWITHCTRLEXBASE_H
#define WXPANELWITHCTRLEXBASE_H

#include <wx/wx.h>

#include "ControlColorContentValidator.h"

class wxPanelWithCtrlExBase: public wxPanel, public ControlColorContentValidator
{
    DECLARE_ABSTRACT_CLASS(wxPanelWithCtrlExBase);

    public:
        wxPanelWithCtrlExBase() {}
        wxPanelWithCtrlExBase(wxWindow* parent, int id = wxID_ANY);
        virtual ~wxPanelWithCtrlExBase();

        virtual void SetValue(const wxVariant& value) = 0;
        virtual wxVariant GetValue() = 0;

};

#endif // WXPANELWITHCTRLEXBASE_H
