#ifndef WXTEXTCTRLNULLEX_H
#define WXTEXTCTRLNULLEX_H

#include <wx/wx.h>

#include "ControlColorContentValidator.h"

class wxTextCtrlNullEx: public wxTextCtrl, public ControlColorContentValidator
{
    DECLARE_DYNAMIC_CLASS(wxTextCtrlNullEx);

    public:
        wxTextCtrlNullEx() {};
        wxTextCtrlNullEx(wxWindow* parent,
                         wxWindowID id,
                         const wxString& value = _T(""),
                         const wxString& nullstr = _T("NULL"),
                         const wxPoint& pos = wxDefaultPosition,
                         const wxSize& size = wxDefaultSize,
                         long style = 0,
                         const wxValidator& validator = wxDefaultValidator,
                         const wxString& name = wxTextCtrlNameStr,
                         bool isPending = false);

        virtual ~wxTextCtrlNullEx();

    protected:

        void OnSetFocus(wxFocusEvent& evt);
        void OnKillFocus(wxFocusEvent& evt);

        void OnUpdated(wxCommandEvent& evt);


    private:

        DECLARE_EVENT_TABLE();



};

WX_DECLARE_STRING_HASH_MAP( wxTextCtrlNullEx*, wxTextCtrlNullExHash );



#endif // WXTEXTCTRLNULLEX_H
