#ifndef FIRMWAREUPLOADEDEVENT_H
#define FIRMWAREUPLOADEDEVENT_H

#include <wx/event.h>

extern const wxEventType wxEVT_FWUPLOADED;    /// without this MinGW gives undifened referenced linker error

#define EVT_FWUPLOADED(func) \
    wx__DECLARE_EVT0(wxEVT_FWUPLOADED, FwUploadedEventHandler(func))

class FirmwareUploadedEvent : public wxEvent
{
    public:
        FirmwareUploadedEvent(int id = 0);
        virtual wxEvent *Clone() const { return new FirmwareUploadedEvent(*this); }
    public:
        DECLARE_DYNAMIC_CLASS(FirmwareUploadedEvent)
};

typedef void (wxEvtHandler::*FwUploadedEventFunction)(FirmwareUploadedEvent&);

#define FwUploadedEventHandler(func) \
    (wxObjectEventFunction)(wxEventFunction)wxStaticCastEvent(FwUploadedEventFunction, &func)

#endif // FIRMWAREUPLOADEDEVENT_H
