#ifndef TRIGGERLOGEVENT_H
#define TRIGGERLOGEVENT_H

#include "../triggerlog/TriggerFrame.h"

#include <wx/event.h>

extern const wxEventType wxEVT_TRIGGERLOG;    /// without this MinGW gives undifened referenced linker error

#define EVT_TRIGGERLOG(func) \
    wx__DECLARE_EVT0(wxEVT_TRIGGERLOG, TriggerLogEventHandler(func))

class TriggerLogEvent : public wxEvent
{
    public:
        TriggerLogEvent(int id = 0);
        virtual wxEvent *Clone() const { return new TriggerLogEvent( *this ); }
        virtual ~TriggerLogEvent();
        //DoubleArray m_primary;
        //DoubleArray m_secondary;
        TriggerFrame m_frame;
    protected:
    private:

    DECLARE_DYNAMIC_CLASS(TriggerLogEvent)
};

typedef void (wxEvtHandler::*TriggerLogEventFunction)(TriggerLogEvent&);

#define TriggerLogEventHandler(func) \
    (wxObjectEventFunction)(wxEventFunction)wxStaticCastEvent(TriggerLogEventFunction, &func)

#endif // TRIGGERLOGEVENT_H


