#ifndef EXPRESSIONCOLON_H
#define EXPRESSIONCOLON_H

#include "ExpressionBase.h"

class ExpressionColon : public ExpressionBase
{
    public:
        ExpressionColon()
        {
            setType( COLON );
        }

        virtual ~ExpressionColon();

        void interpret(RPNStack& rpnStack)
        {
            throw ExpError::SyntaxError( _T("Illegal token : COLON") );
        }

        wxString toString() { return _T(":"); }
    protected:
    private:
};



#endif // EXPRESSIONCOLON_H
