#include "ExpressionFvEqualTo.h"

ExpressionFvEqualTo::ExpressionFvEqualTo()
{
    setPrec( 100 );
    setAssoc( ASSOC_RIGHT );
    setType( OPERATOR );
}

void ExpressionFvEqualTo::interpret( RPNStack& rpnStack )
{
    RPNStackItem* b = rpnStack.pop();
    RPNStackItem* a = rpnStack.pop();

    if( a->getType() == RPNStackItem::NUMBER && b->getType() == RPNStackItem::NUMBER )
    {
        int result = a->getNumber() == b->getNumber();

        RPNStackItem* item = new RPNStackItem();
        item->setNumber( (double) result );
        rpnStack.push( item );
    }

    delete a;
    delete b;
}
