#ifndef TRIGGERTESTFRAME_H
#define TRIGGERTESTFRAME_H

#include <wx/wxprec.h>

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

//(*Headers(TriggerTestFrame)
#include <wx/frame.h>
//*)

#include "triggertestpanel.h"

class TriggerTestFrame: public wxFrame
{
	public:

		TriggerTestFrame(wxWindow* parent,wxWindowID id = -1);
		TriggerTestFrame(const wxChar *title, int x, int y);
		virtual ~TriggerTestFrame();

		//(*Identifiers(TriggerTestFrame)
		//*)
		void selectBox(const wxString& name);
        void addLine(const wxString& label, const wxString& defValue, const wxArrayString& choices );
        void OnAbout(wxCommandEvent& WXUNUSED(event));
	protected:

		//(*Handlers(TriggerTestFrame)
		//*)

		//(*Declarations(TriggerTestFrame)
		//*)
        TriggerTestPanel * t_panel;
	private:

		DECLARE_EVENT_TABLE()
};

#endif
