#ifndef CONFIGCRITERIARANGE_H
#define CONFIGCRITERIARANGE_H
#include <wx/wx.h>

//class RPNParser;

enum CCR_TYPE
{
    CCR_TYPE_INVALID = -1,
    CCR_TYPE_OK = 0,
    CCR_TYPE_WARNING,
    CCR_TYPE_ERROR,
};

enum CCR_VALIDATE_RESULT
{
    CCR_VALUE_IN_RANGE = 0,
    CCR_VALUE_OUT_OF_RANGE,
};

class ConfigCriteriaRange
{
     public:
        ConfigCriteriaRange( int type, const wxString& expresion = wxEmptyString, const wxString& msg = wxEmptyString, wxArrayString variables = wxArrayString() );
        //int validate( RPNParser* rpn);
        int getType() const { return m_type; }
        wxString getMsg() const { return m_msg; }
        wxString getExpression() const {return m_expression; }
        wxArrayString   getVariables() const { return m_vars; }
    private:
        wxString    m_expression;
        int         m_type;
        wxString    m_msg;
        wxArrayString   m_vars;
};

WX_DEFINE_ARRAY( ConfigCriteriaRange*, ConfigRangeArray );


#endif // CONFIGCRITERIARANGE_H
