#ifndef CONFIGVALIDATORVIEWERBASE_H
#define CONFIGVALIDATORVIEWERBASE_H

#include "../common/types/StringHash.h"

class ConfigValidatorViewerBase
{
    public:
        ConfigValidatorViewerBase();

        // ConfigValidor::validate calls this
        // symbols: hash, key:symbolname => data:error/warning message
        // eg. foo => "Too high value, should be less than 5"
        virtual void notify( const StringHash& symbols ) = 0;

    protected:

};

WX_DEFINE_ARRAY( ConfigValidatorViewerBase*, ConfigValidatorViewerBaseA );

#endif // CONFIGVALIDATORVIEWERBASE_H
