#ifndef SFLOODDIALOG_H
#define SFLOODDIALOG_H

#include <wx/wx.h>
#include "../ObserverBase.h"

class ProcessBase;

class SFloodDialog : public wxDialog, public ObserverBase
{
    public:
        SFloodDialog( wxWindow* parent, ProcessBase* processBase  );

    protected:

    private:
        wxButton        *m_startButton, *m_stopButton, *m_closeButton;
        wxStaticText    *m_text;
        ProcessBase*    m_processBase;


        void    OnButton( wxCommandEvent& event );
        void    SetStatusText( const wxString& text = wxEmptyString );

        void    notify( int i );
        void    OnNotify( wxCommandEvent& command);

        DECLARE_EVENT_TABLE()
};

#endif // SFLOODDIALOG_H
