#ifndef LOGHISTORYPROCESSFILTERTHREAD_H
#define LOGHISTORYPROCESSFILTERTHREAD_H

#include "../common/ProcessBase.h"
#include "../Observable.h"

class LogHistoryBase;

class LogHistoryProcessFilterThread : public ProcessBase, public Observable
{
    public:
        LogHistoryProcessFilterThread(LogHistoryBase* mgr, size_t idxfrom = 0, size_t idxto = 0);

        void start();
        void stop();
        bool process();
        void reset();

        void    SetLimits(size_t from, size_t to) { m_from = from; m_to = to; }
        size_t  GetFrom() { return m_from; }
        size_t  GetTo() { return m_to; }


    protected:

    private:
        LogHistoryBase*  m_historyMgr;
        size_t           m_from, m_to;
        void             finished();
        bool             m_run;
};

#endif // LOGHISTORYPROCESSFILTERTHREAD_H
