#ifndef GPSPRODUCERTHREAD_H
#define GPSPRODUCERTHREAD_H

#include "ThreadBase.h"
#include "../GPSInfo.h"
#include <wx/event.h>

class RTDataInputBase;


class GPSProducerThread : public ThreadBase
{
    public:
        GPSProducerThread( RTDataInputBase* rbInput, wxEvtHandler* vemsTuneController  );
        virtual ~GPSProducerThread();

        void* Entry();

    protected:
    private:
        void sendEvent(GPSInfo::State state);

        RTDataInputBase*            m_rbInput;
        wxEvtHandler*               m_evtHandler;
        GPSInfo::State              m_state;
};



#endif // GPSPRODUCERTHREAD_H
