#include "GUIConsumerThread.h"

#include "../logger.h"
#include "../rtdatamanager/RTDataMgrBase.h"

GUIConsumerThread::GUIConsumerThread(RTDataMgrBase* rtDataMgr)
{
    //ctor
    m_rtDataMgr = rtDataMgr;
}

GUIConsumerThread::~GUIConsumerThread()
{
    //dtor
}


void* GUIConsumerThread::Entry()
{
    while ( !this->TestDestroy() )
    {
        waitEnable();
        //Logger::logf(LOG_MSG, _T("GUIConsumerThread::Entry() loop"));
        m_rtDataMgr->updateViewers();   //This will wait if the ring buffer is empty;
    }
    Logger::logf(LOG_MSG, _T("GUIConsumerThread::Entry() exit!"));
    return 0;
}
