#ifndef THREADCONTROLLERAUDIO_H
#define THREADCONTROLLERAUDIO_H

#include "../common/ProcessBase.h"

class RingBufferSync;
class SignalGen;

class ThreadControllerAudio: public ProcessBase
{
    public:
        ThreadControllerAudio(RingBufferSync* ringBufferSync, SignalGen* signalGen);
        virtual ~ThreadControllerAudio();

        void start();
        void stop();
        bool process();
        void reset() {};
    protected:
    private:
        RingBufferSync* m_ringBufferSync;
        SignalGen* m_signalGen;

        void finished();
};

#endif // THREADCONTROLLERAUDIO_H
