#ifndef CONFIGSWITCHVIEWER_H
#define CONFIGSWITCHVIEWER_H

#include "RTDataViewerBase.h"

class CommandRequestBase;

class ConfigSwitchViewer : public RTDataViewerBase
{
    public:
        ConfigSwitchViewer( CommandRequestBase* requestHandler );
        virtual ~ConfigSwitchViewer();

        void refresh( DoubleHash* table );
        void require();
        void unregisterSymbols();
        void SetValueIdx( int idx ) {}
        void SetValue( double value ) {}

    private:
        CommandRequestBase* m_requestHandler;
        wxString            m_symbolName;
        bool                m_isSymbolRegistered;
        bool                m_isFirstRefresh;
        bool                m_isConfsw;
};

#endif // CONFIGSWITCHVIEWER_H
