#ifndef RTDATAANALYZER_H
#define RTDATAANALYZER_H

#include "RTDataAnalyzerBase.h"

class RTDataAnalyzer : public RTDataAnalyzerBase
{
    public:
        RTDataAnalyzer();
        virtual ~RTDataAnalyzer();

        DoubleHash* getValues();

    protected:
        void        processData();

    private:
        int         m_rpmMax;
        int         m_mapMax;
        int         m_triggerError;
        bool        m_wasTriggerError;

        void        resetValues();
        DoubleHash* m_values;

};

#endif // RTDATAANALYZER_H
