#ifndef RTDATAINPUTRINGBUFFERSYNC_H
#define RTDATAINPUTRINGBUFFERSYNC_H

#include "RTDataInputRingBuffer.h"

class SyncObj;

class RTDataInputRingBufferSync : public RTDataInputRingBuffer
{
    public:
        RTDataInputRingBufferSync(RingBuffer* rb, SymbolMgr* mt, SyncObj* syncObj, DoubleHash* viewerModel = NULL );
        virtual ~RTDataInputRingBufferSync();
        int updateViewerModel();
    protected:
        void waitRingBufferNotEmpty();
        void waitRingBufferNotFull();
        //wxMutex m_mutexNotEmpty;
        //wxMutex m_mutexNotFull;
        wxCondition* m_isNotEmpty;
        wxCondition* m_isNotFull;
    private:
};



#endif // RTDATAINPUTRINGBUFFERSYNC_H
