#ifndef MMCLOGGERIMG_H
#define MMCLOGGERIMG_H
#include "SdImage.h"
#include "MMCLogger.h"


class MMCLoggerImg: public MMCLogger
{
    public:
        MMCLoggerImg( SdImage* img );
        virtual ~MMCLoggerImg();

        void        start();
        void        stop();
        void        erase();
        bool        getStatus();
        bool        needsUpdate();
        void        flushBuffer();
        bool        getMMCBlock(uint32_t blockIdx, uint8_t* data, int len );

        void        SetBaudrate();
        void        ResetBaudrate();

    protected:
        SdImage*    m_image;

        //bool        isDataValid( uint8_t* data, int len);
        bool        isCRCValid( uint8_t* data, int len);

    private:
};

#endif // MMCLOGGERIMG_H
