#ifndef SDLOGSELECTOR_H
#define SDLOGSELECTOR_H

#include <wx/wx.h>

enum SD_LOG_SOURCE
{
    SD_S_V3  = 0,
    SD_S_IMG = 1,
    SD_S_DD  = 2,
    SD_S_Cancel =3
};

class SdLogSelector : public wxDialog
{
    public:
        SdLogSelector(wxWindow* parent);
        ~SdLogSelector();

        SD_LOG_SOURCE GetSource();

    protected:
    private:
        SD_LOG_SOURCE m_source;
        void        OnButton( wxCommandEvent& event );

        DECLARE_EVENT_TABLE()
};

#endif // SDLOGSELECTOR_H
