#ifndef SPARKTESTERWIDGETFACTORY_H
#define SPARKTESTERWIDGETFACTORY_H
#include <wx/wx.h>


class RTDataMgrBase;
class VEMSGaugeDescArray;

enum SPARTK_WIDGET_TYPE{
            SPARKW_HISTOGRAM_2D,
            SPARKW_GRID,
            SPARKW_PHASE,
            SPARKW_GRID_BY_TIME,
            SPARKW_GAUGE,
            SPARKW_FILE
};

class SparkTesterWidgetFactory
{
    public:
        SparkTesterWidgetFactory(wxWindow* parent, RTDataMgrBase* m_rtMgr);
        virtual ~SparkTesterWidgetFactory();
        void ShowWidget(int id);
    protected:
    private:
        wxWindow* m_parent;
        RTDataMgrBase* m_signalProcessMgr;
        VEMSGaugeDescArray* m_vemsGaugeDescA;

        void initGaugeDesc();
};



#endif // SPARKTESTERWIDGETFACTORY_H
