#ifndef EVALPANEL_H
#define EVALPANEL_H

#include <wx/listctrl.h>

#include "../../fileparser/V3iniParser.h"
#include "../../fileparser/parserexception.h"

class EvalPanel : public wxPanel
{
    public:
        EvalPanel(wxWindow* parent, wxWindowID id = wxID_ANY);
        virtual ~EvalPanel();

        void setParser(V3iniParser* p){ m_parser = p; }
    protected:
    private:
        wxListCtrl* m_table;
        V3iniParser*     m_parser;

        void buildGUI();
        void setTable();
        void OnSetTableButton(wxCommandEvent& event);
        void OnRefreshButton(wxCommandEvent& event);
        DECLARE_EVENT_TABLE();
};

#endif // EVALPANEL_H
