#include "logpanel.h"
#include <wx/log.h>



int idClearButton = wxNewId();

BEGIN_EVENT_TABLE(LogPanel, wxPanel)
    EVT_BUTTON(idClearButton, LogPanel::OnClearButton)
END_EVENT_TABLE()

LogPanel::LogPanel(wxWindow* parent, wxWindowID id):wxPanel(parent,id)
{
#if wxUSE_LOG
    m_log = new wxTextCtrl( this, wxID_ANY, _T(""),wxDefaultPosition, wxDefaultSize,
                            wxTE_MULTILINE | wxTE_READONLY | wxHSCROLL, wxDefaultValidator, wxTextCtrlNameStr);
    m_logOld = wxLog::SetActiveTarget( new wxLogTextCtrl( m_log ) );
   // m_logOld = wxLog::SetActiveTarget( new wxLogStderr() );
   //wxLogChain *logChain = new wxLogChain(new wxLogTextCtrl(m_log));



#endif // wxUSE_LOG

    wxBoxSizer* topSizer = new wxBoxSizer(wxVERTICAL);

    wxBoxSizer* ctrlSizer = new wxBoxSizer(wxHORIZONTAL);
    wxButton*   parseButton = new wxButton(this, idClearButton,_T("Clear")); //,wxDefaultPosition,wxDefaultSize
    ctrlSizer->Add(parseButton);
    topSizer->Add( m_log, 1, wxALL|wxEXPAND, 5);
    topSizer->Add( ctrlSizer, 0, wxALL | wxEXPAND, 5);
    SetSizer(topSizer);
}

LogPanel::~LogPanel()
{
    //dtor
}

void LogPanel::OnClearButton(wxCommandEvent& event)
{
    m_log->Clear();
}

