#ifndef TESTPANEL_H
#define TESTPANEL_H

#include "../../fileparser/V3iniParser.h"
#include "../../fileparser/parserexception.h"

class TestPanel : public wxPanel
{
    public:
        TestPanel(wxWindow* parent, wxWindowID id = wxID_ANY);
        virtual ~TestPanel();

        void setParser(V3iniParser* p){ m_parser = p; }
    protected:
    private:
        wxTextCtrl*     m_log;
        wxTextCtrl*     m_searchField;
        V3iniParser*         m_parser;

        void TestPanel::buildGUI();

        void printParseLog();
        void printGaugeTable();
        void buildMenu();

        void OnParseButton(wxCommandEvent& event);
        void OnSearchButton(wxCommandEvent& event);
        void OnTest(wxCommandEvent& event);
        DECLARE_EVENT_TABLE();
};

#endif // TESTPANEL_H
