#ifndef TRIGGERLOGEVT_H
#define TRIGGERLOGEVT_H

#include "TriggerLog.h"
#include <wx/wx.h>

class TriggerLogEvt : public TriggerLog
{
    public:
        TriggerLogEvt( wxEvtHandler* evtHandler );
        virtual ~TriggerLogEvt();

    public:
        void notify( int i );
        void clearData();

    protected:
        wxEvtHandler*   m_evtHandler;

    protected:
        void    parseTrigger(uint8_t data);

    private:
        IntArray m_rawFrameA;
};

#endif // TRIGGERLOGEVT_H
