#ifndef TRIGGERLOGGRAPHSETTINGS_H
#define TRIGGERLOGGRAPHSETTINGS_H

#include <wx/wx.h>
#include <wx/spinctrl.h>

#include "../common/types/IntArray.h"

class TriggerLogGraphSettings : public wxDialog
{
    public:
        TriggerLogGraphSettings( wxWindow * parent );
        ~TriggerLogGraphSettings();

    private:
        wxTextCtrl*     m_bgcolor;
        wxTextCtrl*     m_scopecolor;
        wxTextCtrl*     m_textcolor;

        wxTextCtrl**    m_triggerColors;

        wxSpinCtrl**    m_offsets;

        IntArray        m_colorButtonIds;


    private:
        void            OnButton( wxCommandEvent& evt );

        void            UpdateSettings() const;

        DECLARE_EVENT_TABLE()

};

#endif // TRIGGERLOGGRAPHSETTINGS_H
