#include "CalibrationBase.h"


CalibrationBase::CalibrationBase()
{
    //ctor
    m_commandRequest = NULL;
    m_rtDataMgr = NULL;
    m_stDataMgr = NULL;
}

CalibrationBase::~CalibrationBase()
{
    //dtor
}

void CalibrationBase::SetCommandRequest(CommandRequestBase* commandRequest)
{
    m_commandRequest = commandRequest;
}


void CalibrationBase::SetDataMgrObj(STDataMgrBase* stDataMgr)
{
    m_stDataMgr = stDataMgr;
}

 void CalibrationBase::AddSTViewer(const wxString& name, STDataViewerBase* stDataViewer)
 {
    m_viewerBaseH[name] = stDataViewer;
 }

wxString STDataViewerCalibration::toString()
{
    return _T("STDataViewerCalibration - ") + m_symbol.getName();
}
