/**
    Refreshes the UserMenu when STDataMgrFacede refreshRegisteredViewers methods is called
*/
#ifndef USERMENUREFRESHER_H
#define USERMENUREFRESHER_H


#include <wx/wx.h>
#include "../stdatamanager/STDataViewerBase.h"


class UserDialogBase;


class UserMenuRefresher : public STDataViewerBase
{
    public:
        UserMenuRefresher( UserDialogBase* dialogManager, wxMenuBar* menuBar );
        virtual ~UserMenuRefresher();

        void        update();

        void        requestRead() {}
        void        updateModel() {}
        void        requestWrite() {}
        wxString    toString();

    private:
        UserDialogBase*  m_pDialogManager;
        wxMenuBar*          m_pMenuBar;
};


#endif // USERMENUREFRESHER_H
