#ifndef GAUGECARRIERMDICHILDFRAME_H
#define GAUGECARRIERMDICHILDFRAME_H


#include "GaugeCarrierBase.h"

class GaugeCarrierMDIChildFrame: public wxMDIChildFrame, public GaugeCarrierBase
{
    public:
        GaugeCarrierMDIChildFrame(wxMDIParentFrame * parent, int id = -1, const wxPoint &pos = wxDefaultPosition, const wxSize &size = wxDefaultSize, int style = wxDEFAULT_FRAME_STYLE);
        virtual ~GaugeCarrierMDIChildFrame();

        virtual void connectKeyDownEvent( wxWindow* window );
        virtual wxString GetTheme();
        virtual void ShowCarrier(bool isShow);
        virtual void CloseCarrier();
        virtual void CloseGauge(int winid, bool eraseHash = true);
        virtual void ResetMinMax();

        virtual void SetFocusToItem(int id = -1);

    protected:

        void OnChar(wxKeyEvent& event);
        void OnDoubleClick(wxMouseEvent& WXUNUSED(evt));

    private:

        DECLARE_EVENT_TABLE();

};

#endif // GAUGECARRIERMDICHILDFRAME_H
