#include "CommunicationDispatcher.h"

/**
    MainFrame
        create      CommunicationDispatcher
        create      ICommunicationClients
        register    ICommunicationClients to CommunicationDispatcher

        ...
        bool  ICommunicationClient->start()


*/

bool CommunicationDispatcher::isIdle() const
{
    CommunicationClientBaseSet::const_iterator it;

    for( it = m_clients.begin(); it != m_clients.end(); ++it )
    {
        if ( !(*it)->isIdle() ) { return false; }
    }

    return true;
};
