#ifndef ECUINFO_H
#define ECUINFO_H

#include <wx/string.h>

class ECUInfo
{
    public:


        enum Device
        {
            DEVICE_INIT     = -2,
            DEVICE_UNKNOWN  = -1,
            DEVICE_V3       =  1,
            DEVICE_ROUND    =  2,
            DEVICE_ARM      =  3
        };

        enum EcuMode
        {
            UNKNOWN = -1
            ,BOOT = 11
            ,MEGATUNE = 12
            ,MAN = 13
            ,M168BLS = 14
            ,AIM = 15
            ,SIPR = 16
            //,MEGATUNE2 = 24
            //,MAN2 = 26
            //,AIM2 = 30
        };

        enum BaudRate
        {
            BAUD_RATE_9600 = 9600,
            BAUD_RATE_19200 = 19200
        };

        static wxString getStateAsString( int state );
        static wxString getDeviceAsString( int device );
};

#endif // ECUINFO_H
