#ifndef STRINGRECOGNIZER_H
#define STRINGRECOGNIZER_H

#include <wx/string.h>

#include "IRecognizer.h"


class StringRecognizer : public IRecognizer
{
    public:
        StringRecognizer( const wxString& response );
        virtual ~StringRecognizer() {}

        bool feed( char c );
        void reset();

    private:
        wxString            m_response;
        size_t              m_index;
};

#endif // STRINGRECOGNIZER_H
