#ifndef EXITICON_H
#define EXITICON_H

#include "VemsToolIconBase.h"

class ExitIcon: public VemsToolIconBase
{
    public:
        ExitIcon(wxWindow* parent, wxWindowID id, const wxString& icondir, const wxPoint &pos = wxDefaultPosition);
        virtual ~ExitIcon();
        void IconInit();
    protected:

        DECLARE_EVENT_TABLE();

    private:
        void OnPaint(wxPaintEvent& event);
        void OnLeftDown(wxMouseEvent& evt);
        void OnLeftUp(wxMouseEvent& evt);

        wxWindow *m_parent;

        wxBitmapLayer * m_exitUpBmp;
        wxBitmapLayer * m_exitDownBmp;

};



#endif // EXITICON_H
