#ifndef SCREENICON_H
#define SCREENICON_H

#include "VemsToolIconBase.h"

class ScreenIcon: public VemsToolIconBase
{
    public:
        ScreenIcon(wxWindow* parent, wxWindowID id, const wxString& icondir, const wxPoint &pos = wxDefaultPosition);
        virtual ~ScreenIcon();

        void SetMenu(wxMenu *menu = NULL);
        void IconInit();

    protected:

        DECLARE_EVENT_TABLE();

    private:

        wxMenu *m_menu;
        wxWindow *m_parent;
        void OnLeftDown(wxMouseEvent& evt);
        void OnLeftUp(wxMouseEvent& evt);


        wxBitmapLayer* m_screenUpBmp;
        wxBitmapLayer* m_screenDownBmp;


};



#endif // SCREENICON_H
